Subject: [os2genau_digest] No. 783
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 24 Jan 2004 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 23 January 2004
 Number  783
**************************************************

Subjects for today
 
1  Re:  eCS MT : Ed Durrant <edurrant at bigpond dot net dot au>
2   Broken Browsers : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re:  Broken Browsers : Frank Bendon <frankben at internode.on dot net>
4  Re:  Broken Browsers : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
5  Re:  p3 m/b ac97 audio driver ? : Voytek <voytek at sbt dot net dot au>
6   SigmaTel STAC AC 97 Audio suuport Re:  p3 m/b ac97 audio driver ? : Voytek <voytek at sbt dot net dot au>
7  Re:  SigmaTel STAC AC 97 Audio suuport Re:  p3 m/bac97 audio driver ? : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re:  SigmaTel STAC AC 97 Audio suuport Re:  p3 m/bac97 audio driver ? : voytek at sbt dot net dot au
9   MMOS2 woes : voytek at sbt dot net dot au

**= Email   1 ==========================**

Date:  Fri, 23 Jan 2004 06:50:25 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  eCS MT

Hi Ken,

  You MUST, MUST, MUST, download the latest ecsMT from the ecomstation dot com website -
DO NOT even attempt to use the version that came on the eCS 1.1 CD !!  There are
several bugs in it. The from website downloaded version is far better.

  I guess the one thing the tool lacks is a good, simple users guide but Chuck is busy
adding features and fixing quirks, so he doesn't get to it it seems - or have I missed
it somewhere ?

Cheers/2

Ed.

k.downes at optusnet dot com dot au wrote:

> Hope you gize can bear with me while I sort out a few things.  I've been
> installing eCS1.1 (several times) in an attempt to get what I want.  I
> have a barely acceptable install now, and have just installed eCS
> Maintenance Tool (v 2.1.5.9) and I allowed it to install into its default
> directory (E:\ecs\system\ECSMT200).  The same directory was set (by
> default) as the download path and fix path.
>
> I already have downloaded many of the fixes, including fixpak 4, which I
> don't want to have to download again (I'm on dial-up), so I copied them
> all to the download path.
>
> My question is, how do I make ECS MT see the files which I already have,
> so that I can apply the fixes?  (I do hate that ECS MT!  I just wasn't
> made for normal people to use)
>
> Thanx again gize
> Kev Downes
=========================
> k.downes at optusnet dot com dot au
> Windows is not the answer. Windows is the question. The answer is NO!   We
> use and recommend IBM OS/2 Warp and Serenity System's eComStation.
=========================
> "Jesus Christ is the centre of everything and the object of everything;
> and he who does not know him, knows nothing of the order of the world and
> nothing of himself."             Blaise Pascal
=========================
>

>  

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 23 Jan 2004 07:04:25 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   Broken Browsers

Hi All,
	I'm having some problems in tracking down either a broken browser
or a
browser/cache combination.

	The problem is as follows:

	All of our pages have a hidden input field as follows:

	<FORM method="POST" action='/nb/cs'>
	<input type='hidden' name='PageKey' value='motor-edit~1' size='20'>
	etc

	The problem is that the browser (or something else) is mangling the
POST
request to us, and the request is coming through as:

	PageKey=motor-edit~~1

	So, a single '~' is being sent as '~~'! It is broken in the current
release, but I've fixed the code which is due for deployment on Jan 28th
2004. (So, it won't be an issue after then, but I'd like to definitatively
define the problem/cause anyway). The interesting thing is that I'm getting
more and more of these now, so I believe that it may be a recent patch or
other regression type problem.

	This problem has been seen in the following setup.

	IE version: 6.0.2800.1106IC
	   Patches: SP1 & Q822925
	OS: winNT client
	LAN to Internet.

	I've XP on this box, and I've installed Q822925, and IE
6.0.2800.xpsp1.020828-1920 with SP1 and Q822925 does not cause it.

	So, I'm asking for a favor from others to see if their browser
combination
shows the same response. What happens in the current implementation is that
a NumericFormatException occurs, and the user is redirected to a System
Failure page "We can not complete your request" (or similar).

	If you all could be so kind as to (try my code!) point your
browsers to:

	http://www.aami dot com dot au

	- Select the "Quote Request" image in the lower right hand side.
	- Click on the "Accept" button.
	- Click on the "Car" button.
	- Click on the "Start the quote process" button.

	That will then popup a new window and you are then running my Java
WebSphere code with a mainframe back end.

	Try doing a Comprehensive quote, use 3000 (Australia uses 4 digit
post
codes) as the post code (ie zip code).

	If you can get to the next page when you've entered details, then
you're
ok. If you get a system error and do not get to a page that asks you about
Body Type, Number of Cylinders and Vehicle Model, then you've got a
problem,
and please get in touch with me directly.

	Thanks to everyone who tries this out for me.

-Chris

PS: Today is actually my first anniversary here at AAMI. A real, permanent
job. A REGULAR PAYCHEQUE! Scarry! :-)

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 23 Jan 2004 19:59:53 +1030
From:  Frank Bendon <frankben at internode.on dot net>
Subject:  Re:  Broken Browsers

Chris

..... using Mozilla 1.3b on linux (RH 7.3)
After 'Start the quote process' I get ''This service is temporarily not 
available'
(time was 10:05 EST)

.... do not have a Win machine running at the moment

Cheers
Frank Bendon
(Adelaide)

Chris Graham [WarpSpeed] wrote:

>Hi All,
>	I'm having some problems in tracking down either a broken browser
>or a
>browser/cache combination.
>
>	The problem is as follows:
>
>	All of our pages have a hidden input field as follows:
>
>	<FORM method="POST" action='/nb/cs'>
>	<input type='hidden' name='PageKey' value='motor-edit~1' size='20'>
>	etc
>
>	The problem is that the browser (or something else) is mangling the
>POST
>request to us, and the request is coming through as:
>
>	PageKey=motor-edit~~1
>
>	So, a single '~' is being sent as '~~'! It is broken in the current
>release, but I've fixed the code which is due for deployment on Jan 28th
>2004. (So, it won't be an issue after then, but I'd like to definitatively
>define the problem/cause anyway). The interesting thing is that I'm getting
>more and more of these now, so I believe that it may be a recent patch or
>other regression type problem.
>
>	This problem has been seen in the following setup.
>
>	IE version: 6.0.2800.1106IC
>	   Patches: SP1 & Q822925
>	OS: winNT client
>	LAN to Internet.
>
>	I've XP on this box, and I've installed Q822925, and IE
>6.0.2800.xpsp1.020828-1920 with SP1 and Q822925 does not cause it.
>
>	So, I'm asking for a favor from others to see if their browser
>combination
>shows the same response. What happens in the current implementation is that
>a NumericFormatException occurs, and the user is redirected to a System
>Failure page "We can not complete your request" (or similar).
>
>	If you all could be so kind as to (try my code!) point your
>browsers to:
>
>	http://www.aami dot com dot au
>
>	- Select the "Quote Request" image in the lower right hand side.
>	- Click on the "Accept" button.
>	- Click on the "Car" button.
>	- Click on the "Start the quote process" button.
>
>	That will then popup a new window and you are then running my Java
>WebSphere code with a mainframe back end.
>
>	Try doing a Comprehensive quote, use 3000 (Australia uses 4 digit
>post
>codes) as the post code (ie zip code).
>
>	If you can get to the next page when you've entered details, then
>you're
>ok. If you get a system error and do not get to a page that asks you about
>Body Type, Number of Cylinders and Vehicle Model, then you've got a
>problem,
>and please get in touch with me directly.
>
>	Thanks to everyone who tries this out for me.
>
>-Chris
>
>PS: Today is actually my first anniversary here at AAMI. A real, permanent
>job. A REGULAR PAYCHEQUE! Scarry! :-)
>
>
>-Chris
>
>WarpSpeed Computers - The Graham Utilities for OS/2.
>Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
>FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
>Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA
>
>

> 

>
>  
>

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 23 Jan 2004 11:35:14 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Broken Browsers

On Fri, 23 Jan 2004 19:59:53 +1030, Frank Bendon wrote:
> Chris
> 
> .... using Mozilla 1.3b on linux (RH 7.3)
> After 'Start the quote process' I get ''This service is temporarily not 
> available'
> (time was 10:05 EST)
> 
<SNIP>

You probably have PopUps blocked in Mozilla.
Add the  www.aami dot com dot au to the exceptions list and it will probably
continue.

Regards,
Robert Traynor (BobT).
23 January 2004   11:35

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 23 Jan 2004 11:34:03
From:  Voytek <voytek at sbt dot net dot au>
Subject:  Re:  p3 m/b ac97 audio driver ?

** Reply to note from "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au> Thu, 22 Jan 2004 22:08:41 +1000

> You have not stated the chipset nor the motherboard.   
> If it is a SoundMax chipset then check out the SoundMax driver on hobbes. 
> Just search for SoundMax as one word. 
>  
> If not then try the Uniaud drivers. 
>  
> My P4 Asus P4c-800 is currently working fine with the hobbes 
> SoundMax driver.   
>  
>  
> > it also has a AC97 modem, is that a win modem thingo ? 
> > as there is nor RJ jack, I guess, it needs some daughter board ? into an 
> > empty mb/ slot ? 
>  
> You probably need a riser card and it is probably a WinModem.

> Get hold of PCI048VK.zip on hobbes or Ian's www.os2site dot com.  Run the  
> pci.exe in it and it will pump out everything you need to know and  
> more.  You'll need to pipe it out to a file.

thanks, Mike:
thanks, Bob:

the modem i'm not fussed, BUT, I need the sound to answer the phone lines....

I've MINSTALed the UniAud, it came up with 'unable to init'

I'll have a better look when I get back, for now, I've plugged the SB PnP back in
so the phone gets answered

 Vendor 1106h VIA Technologies Inc
 Device 3058h VT82C686/A/B AC'97 Audio Codec
 Command 0001h (I/O Access)
 Status 0210h (Has Capabilities List, Medium Timing)
 Revision 20h, Header Type 00h, Bus Latency 00h
 Self test 00h (Self test not supported)
 PCI Class Multimedia, type Audio
 Subsystem ID 30911462h MS-6309 Onboard AC'97 Audio Codec
 Subsystem Vendor 1462h Micro-Star International Co Ltd (MSI)
 Address 0 is an I/O Port : 0000D400h
 Address 1 is an I/O Port : 0000D000h
 Address 2 is an I/O Port : 0000CC00h
 System IRQ 10, INT# C
 New Capabilities List Present:
   Power Management Capability
     Supports power state D1
     Current Power State : D0 (Device operational, no power saving)

 Vendor 1106h VIA Technologies Inc
 Device 3068h VT82C686/A/B,VT8233/A Modem Codec
 Command 0001h (I/O Access)
 Status 0210h (Has Capabilities List, Medium Timing)
 Revision 20h, Header Type 00h, Bus Latency 00h
 Self test 00h (Self test not supported)
 PCI Class Simple Communication, type Other
 Address 0 is an I/O Port : 0000D800h
 System IRQ 10, INT# C
 New Capabilities List Present:
   Power Management Capability
     Supports power state D1
     Current Power State : D0 (Device operational, no power saving)

Voytek Eymont
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 23 Jan 2004 14:34:36
From:  Voytek <voytek at sbt dot net dot au>
Subject:   SigmaTel STAC AC 97 Audio suuport Re:  p3 m/b ac97 audio driver ?

** Reply to note from Voytek <voytek at sbt dot net dot au> Fri, 23 Jan 2004 11:34:03 

> I've MINSTALed the UniAud, it came up with 'unable to init' 
>  
> I'll have a better look when I get back, for now, I've plugged the SB PnP back in 
> so the phone gets answered

after I altered BIOS to 'Auto' from 'Enabled', it loaded a 'SigmaTel STACxxxxx' device.

but, now I'm back to 'init failed'

is the Software Choice driver any better ?

Voytek Eymont
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 23 Jan 2004 21:24:29 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  SigmaTel STAC AC 97 Audio suuport Re:  p3 m/bac97 audio driver ?

Does this help:

OS/2 Universal Audio Config.sys options:
========================================

DEVICE=D:\MMOS2\UNIAUD32.SYS /V /C:CARDNAME
- /V Verbose
- /C:CARDNAME
        Where CARDNAME is :
        - SBLIVE      : Sound Blaster Live!
        - CS4281      : Cirrus Logic CS4281
        - ALS4000     : Avance Logic ALS4000
        - CMEDIA      : C-Media CMI8738
        - ICH         : Intel ICH + SigmaTel STAC9721/23
       Force detection of specified audio hardware

DEVICE=D:\MMOS2\UNIAUD16.SYS /V /C /M /L
- /V Verbose
- /C    Enable CD output
- /M    Enable Microphone output
- /L    Enable Line-In output

ie try specifically selecting your card, in the line added in config.sys by MMINSTAL.

Cheers/2

Ed.

(files sent in sep e-mail).

Voytek wrote:

> ** Reply to note from Voytek <voytek at sbt dot net dot au> Fri, 23 Jan 2004 11:34:03
>
> > I've MINSTALed the UniAud, it came up with 'unable to init'
> >
> > I'll have a better look when I get back, for now, I've plugged the SB PnP back in
> > so the phone gets answered
>
> after I altered BIOS to 'Auto' from 'Enabled', it loaded a 'SigmaTel STACxxxxx' device.
>
> but, now I'm back to 'init failed'
>
> is the Software Choice driver any better ?
>
> Voytek Eymont

>  

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Fri, 23 Jan 2004 21:49:53 +1100 (EST)
From:  voytek at sbt dot net dot au
Subject:  Re:  SigmaTel STAC AC 97 Audio suuport Re:  p3 m/bac97 audio driver ?

thanks, Ed, I'll try on Monday

is this info from the SChoice driver readme, I didn't see much docs with
the driver I got.

meanwhile, I developed more probs.... more in next email

> OS/2 Universal Audio Config.sys options:
> ========================================
>
> DEVICE=D:\MMOS2\UNIAUD32.SYS /V /C:CARDNAME
> - /V Verbose
> - /C:CARDNAME
>         Where CARDNAME is :
>         - SBLIVE      : Sound Blaster Live!
>         - CS4281      : Cirrus Logic CS4281
>         - ALS4000     : Avance Logic ALS4000
>         - CMEDIA      : C-Media CMI8738
>         - ICH         : Intel ICH + SigmaTel STAC9721/23
>        Force detection of specified audio hardware
>
> DEVICE=D:\MMOS2\UNIAUD16.SYS /V /C /M /L
> - /V Verbose
> - /C    Enable CD output
> - /M    Enable Microphone output
> - /L    Enable Line-In output
>
> ie try specifically selecting your card, in the line added in config.sys
> by MMINSTAL.
>
> Cheers/2
>
> Ed.
>
> (files sent in sep e-mail).

----------------------------------------------------------------------------------
 
**= Email   9 ==========================**

Date:  Fri, 23 Jan 2004 22:01:32 +1100 (EST)
From:  voytek at sbt dot net dot au
Subject:   MMOS2 woes

I have some weired MMOS2 probs, if anyone can make some suggestions...
like, how do you REMOVE drivers/notebook tabs from MM objects ?

anyhow:

I have Warp 4.52 with SB16 PnP, and, I now transferred the HD to a 'new'
m/b. As that has an AC97 Audio chipset, I have attempted (as yet
unsuccesfully) to install support with the UniAud and Sysmax (sp?)
drivers.

that created additional MM notebook tabs, how can I remove them ?

the problem now is:

I've reinstalled SB PnP (by editing config.sys); after reboot, the sounds
works in WPS, BUT, I have no sound in PMfax... also, attempting to paly
back (PMfax's) WAW objects, no sound.

PMfax does play OGM mssg when phone rings, and, records the mssg, but, I
can not play them back.

suggestions ?

----------------------------------------------------------------------------------